<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-product-heading" jhiTranslate="restaurantApplicationApp.product.home.createOrEditLabel">Create or edit a Product</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!product.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="product.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.product.name" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                        [(ngModel)]="product.name" required/>
                    <div [hidden]="!(editForm.controls.name?.dirty && editForm.controls.name?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.name?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.product.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                        [(ngModel)]="product.description" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.product.price" for="field_price">Price</label>
                    <input type="number" class="form-control" name="price" id="field_price"
                        [(ngModel)]="product.price" required min="0" jhiMin="0"/>
                    <div [hidden]="!(editForm.controls.price?.dirty && editForm.controls.price?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.price?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.controls.price?.errors?.min" jhiTranslate="entity.validation.min" [translateValues]="{ min: 0 }">
                            This field should be at least 0.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.controls.price?.errors?.number" jhiTranslate="entity.validation.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label jhiTranslate="restaurantApplicationApp.product.ingredients" for="field_ingredients">Ingredients</label>
                    <select class="form-control" id="field_ingredients" multiple name="ingredients" [(ngModel)]="product.ingredients">
                        <option [ngValue]="getSelected(product.ingredients, ingredientsOption)" *ngFor="let ingredientsOption of ingredients; trackBy: trackIngredientsById">{{ingredientsOption.id}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="restaurantApplicationApp.product.productCategory" for="field_productCategory">Product Category</label>
                    <select class="form-control" id="field_productCategory" name="productCategory" [(ngModel)]="product.productCategory" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="productCategoryOption.id === product.productCategory?.id ? product.productCategory : productCategoryOption" *ngFor="let productCategoryOption of productcategories; trackBy: trackProductCategoryById">{{productCategoryOption.name}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
